class ERes2NetV2(Module):
  __parameters__ = []
  __buffers__ = []
  training : bool
  _is_full_backward_hook : Optional[bool]
  conv1 : __torch__.torch.nn.modules.conv.___torch_mangle_3011.Conv2d
  bn1 : __torch__.torch.nn.modules.batchnorm.___torch_mangle_3012.BatchNorm2d
  layer1 : __torch__.torch.nn.modules.container.___torch_mangle_3066.Sequential
  layer2 : __torch__.torch.nn.modules.container.___torch_mangle_3137.Sequential
  layer3 : __torch__.torch.nn.modules.container.___torch_mangle_3374.Sequential
  layer4 : __torch__.torch.nn.modules.container.___torch_mangle_3494.Sequential
  layer3_ds : __torch__.torch.nn.modules.conv.___torch_mangle_3495.Conv2d
  fuse34 : __torch__.speakerlab.models.eres2net.fusion.___torch_mangle_3502.AFF
  pool : __torch__.speakerlab.models.eres2net.pooling_layers.___torch_mangle_3503.TSTP
  seg_1 : __torch__.torch.nn.modules.linear.___torch_mangle_3504.Linear
  seg_bn_1 : __torch__.torch.nn.modules.linear.___torch_mangle_3505.Identity
  seg_2 : __torch__.torch.nn.modules.linear.___torch_mangle_3506.Identity
  def forward(self: __torch__.speakerlab.models.eres2net.ERes2NetV2.___torch_mangle_3507.ERes2NetV2,
    x: Tensor) -> Tensor:
    seg_1 = self.seg_1
    pool = self.pool
    fuse34 = self.fuse34
    layer3_ds = self.layer3_ds
    layer4 = self.layer4
    layer3 = self.layer3
    layer2 = self.layer2
    layer1 = self.layer1
    bn1 = self.bn1
    conv1 = self.conv1
    x0 = torch.permute(x, [0, 2, 1])
    input = torch.unsqueeze_(x0, 1)
    _0 = (bn1).forward((conv1).forward(input, ), )
    input0 = torch.relu(_0)
    _1 = (layer2).forward((layer1).forward(input0, ), )
    _2 = (layer3).forward(_1, )
    _3 = (fuse34).forward((layer4).forward(_2, ), (layer3_ds).forward(_2, ), )
    _4 = (seg_1).forward((pool).forward(_3, ), )
    return _4
